////////////////////////////////////////////////////////////////////////////////
/**
 *  \file     layerrecord.h
 *  \version  v1.0
 *  \author   Ing. Dominik Malcik
 */
////////////////////////////////////////////////////////////////////////////////

#ifndef LAYERRECORD_H
#define LAYERRECORD_H

#include <QObject>
#include <QCheckBox>

class LayerRecord : public QObject
{
    Q_OBJECT

public:
    explicit LayerRecord(QObject *parent = 0);
    explicit LayerRecord(bool b, QString s1, QString s2);

    void setCheckBox (bool b);
    bool getCheckBox (void);

    void setName (QString s);
    QString getName (void);

    void setOpacity (QString s);
    QString getOpacity (void);

signals:

public slots:

private:
    bool checkBox;
    QString name;
    QString opacity;

};

#endif // LAYERRECORD_H
